package hexedit.gui;

import javax.swing.*;

import org.gjt.sp.jedit.*;

import hexedit.gui.actions.*;

public class HexEditToolBar extends JToolBar {
	private Open _open;
	private Close _close;
	private Save _save;
	
	public HexEditToolBar(EditPanel panel) {
		init(panel);
		add(_open);
		add(_close);
		add(_save);
	}
	
	private void init(EditPanel panel) {
		_open = new Open(panel);
		_close = new Close(panel);
		_save = new Save(panel);
	}
}
