package hexedit.gui.actions;

import java.awt.event.*;
import java.io.*;

import org.gjt.sp.jedit.*;
import org.gjt.sp.jedit.browser.*;

import hexedit.gui.*;
import hexedit.io.*;

/**
 * Description of the Class
 *
 * @author     mace
 * @created    June 11, 2003
 * @modified   $Date: 2003/06/12 17:10:58 $ by $Author: bemace $
 * @version    $Revision: 1.3 $
 */
public class Open extends CustomAction {
	private EditPanel _panel;
	public Open(EditPanel panel) {
		super("Open");
		_panel = panel;
		setToolTipText("Open a file in hex mode");
		setIcon(GUIUtilities.loadIcon("Open.png"));
	}

	public void actionPerformed(ActionEvent ae) { 
		String path = "";
		VFSFileChooserDialog d = new VFSFileChooserDialog(jEdit.getActiveView(),path,VFSBrowser.OPEN_DIALOG,false);
		String[] files = d.getSelectedFiles();
		if (files != null) {
			_panel.openHexData(new BufferedHexFile(new File(files[0])));
		}
	}
}

