package hexedit.gui;

import java.awt.*;
import javax.swing.*;
import javax.swing.table.*;

/**
 * Displays byte offsets in hexidecimal.
 *
 * @author     mace
 * @created    June 11, 2003
 * @modified   $Date: 2003/06/13 07:21:48 $ by $Author: bemace $
 * @version    $Revision: 1.2 $
 */
public class OffsetRenderer extends DefaultTableCellRenderer {
	public Component getTableCellRendererComponent(JTable table,
			Object value,
			boolean isSelected,
			boolean hasFocus,
			int row,
			int column) {
		super.getTableCellRendererComponent(table, value, isSelected, hasFocus, row, column);
		setValue(value + "h:");
		setHorizontalAlignment(RIGHT);
		return this;
	}
}

